#!/usr/bin/env python

"""
Simple mounts crash-test

1 share, 1 slave

do
  Slave.1 mount share
  Slave.1 umount share
until error or Ctrl+C

"""

from RECT import *


class CrashTest(RECT.TestCase):
    n_shares = 1
    n_slaves = 1

    def setUp(self):
        TestCase.setUp(self)
        self.file = self.config.get("filename", "test.dat")
        self.data = self.config.get("data", "Example text")
        self.slaves[0].closeAll()
        self.slaves[0].umountAll()

    def testMounts(self):
        i = 0
        while True:
            i+=1
            try:
                self.slaves[0].mark("Mounts crash-test")
                self.slaves[0].mount(self.shares[0])
                self.slaves[0].umount(self.shares[0])
                print i
            except KeyboardInterrupt:
                raise
            except Exception:
                self.fail("CRASH!!! i = %s" % i)

    def tearDown(self):
        self.slaves[0].closeAll()
        self.slaves[0].umountAll()
        TestCase.tearDown(self)

if __name__ == '__main__':
    main()

